#!/bin/bash

drush -y si
drush -y en redis
drush -y cset system.site name "ECA Demo"
drush -y ucrt max --mail="max@example.com" --password="abc"
drush -y urol administrator max
drush -y then gin
drush -y en admin_toolbar_links_access_filter admin_toolbar_tools gin_toolbar
drush -y cset system.theme admin gin
drush -y en smtp
drush -y cset smtp.settings smtp_on 1

drush -y en block_content comment config_translation entity jsonapi layout_builder media menu_link_content node path_alias
drush -y en config_devel content_moderation context_stack migrate redirect tamper taxonomy token views_bulk_operations workflows # workspaces
drush -y en commerce_order commerce_payment commerce_product commerce_promotion commerce_store profile

drush -y en bpmn_io eca eca_access eca_base eca_cache eca_config eca_content eca_form eca_log eca_migrate eca_misc eca_queue eca_user eca_views eca_workflow
drush -y en eca_context eca_parameters eca_entity_share_client eca_entity_share_server eca_state_machine eca_state_machine_example eca_tamper eca_vbo group_action

drush -y en eca_development

exit 0

# The following command command enables all test modules that contain models.
drush -y en \
  eca_test_model_cross_ref \
  eca_test_model_entity_basics \
  eca_test_model_entity_loop \
  eca_test_model_logging \
  eca_test_model_plugin_config_validation \
  eca_test_model_redirect_entities \
  eca_test_model_save_new_entity \
  eca_test_model_set_field_value \
  eca_test_model_token_forward

# The following commands export the test model configs if they got changed.
drush config:devel-export eca_test_model_cross_ref
drush config:devel-export eca_test_model_entity_basics
drush config:devel-export eca_test_model_entity_loop
drush config:devel-export eca_test_model_logging
drush config:devel-export eca_test_model_plugin_config_validation
drush config:devel-export eca_test_model_redirect_entities
drush config:devel-export eca_test_model_save_new_entity
drush config:devel-export eca_test_model_set_field_value
drush config:devel-export eca_test_model_token_forward
